#------------------------------------------------------------------------------
# =========                 |
# \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
#  \\    /   O peration     |
#   \\  /    A nd           | Copyright (C) 1991-2008 OpenCFD Ltd.
#    \\/     M anipulation  |
#-------------------------------------------------------------------------------
# License
#     This file is part of OpenFOAM.
#
#     OpenFOAM is free software; you can redistribute it and/or modify it
#     under the terms of the GNU General Public License as published by the
#     Free Software Foundation; either version 2 of the License, or (at your
#     option) any later version.
#
#     OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
#     ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#     FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
#     for more details.
#
#     You should have received a copy of the GNU General Public License
#     along with OpenFOAM; if not, write to the Free Software Foundation,
#     Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
#
# Script
#     MakefileFiles
#
# Description
#     General, easy to use make system for multi-platform development.
#
#------------------------------------------------------------------------------

GENERAL_RULES = $(WM_DIR)/rules/General
RULES         = $(WM_DIR)/rules/$(WM_ARCH)$(WM_COMPILER)
OBJECTS_DIR   = $(WM_OPTIONS)
FFLAGS        =

include $(GENERAL_RULES)/general
include $(RULES)/general
include $(OBJECTS_DIR)/options

#------------------------------------------------------------------------------
# declare names of make system control files derived from file files
#------------------------------------------------------------------------------

FILES   = $(WM_OPTIONS)/files

SFILES  = $(WM_OPTIONS)/sourceFiles
OFILES  = $(WM_OPTIONS)/objectFiles
DFILES  = $(WM_OPTIONS)/dependencyFiles
IFILES  = $(WM_OPTIONS)/includeDeps

#------------------------------------------------------------------------------
# Declare dependecy of all make system files on FILE
# Causes all derived files to be remade if any are changed or missing
#------------------------------------------------------------------------------

allFiles : $(FILES) $(SFILES) $(OFILES) $(DFILES) $(IFILES)

$(FILES) : files
	@$(CPP) $(GFLAGS) $(FFLAGS) files > $(FILES)

$(SFILES): files
	@wmakeDerivedFiles

$(OFILES): files
	@wmakeDerivedFiles

$(DFILES): files
	@wmakeDerivedFiles

$(IFILES): files
	@wmakeDerivedFiles


#------------------------------------------------------------------------------
